// 巡防车辆管理
import request from "@/utils/request";
// const api = "/mosty-jcgl";
const api = "/mosty-api/mosty-jcgl";
//查询巡防车辆列表
export function getXfcl(params) {
  return request({
    url: api + '/tpJcglXfcl/getXfclList',
    method: 'get',
    params
  })
}
//新增巡防车辆
export function addXfcl(data) {
  return request({
    url: api + '/tpJcglXfcl/addXfcl',
    method: "post",
    data
  })
}
//修改
export function upXfcl(data) {
  return request({
    url: api + '/tpJcglXfcl/updateXfcl',
    method: "post",
    data
  })
}
//删除
export function delXfcl(ids) {
  return request({
    url: api + '/tpJcglXfcl/deleteXfcl',
    method: 'post',
    data:ids
  })
}
//详情
export function infoXfcl(id) {
  return request({
    url: api + '/tpJcglXfcl/selectClxq?id=' + id,
    method: 'get'
  })
}
//查询车辆设备详情
export function infoXfsb(id) {
  return request({
    url: api + `/xfclSb/${id}`,
    method: 'get'
  })
}
//新增巡防车辆设备
export function addXfclsb(data) {
  return request({
    url: api + '/xfclSb',
    method: "post",
    data
  })
}
//修改巡防车辆设备
export function upXfclsb(data) {
  return request({
    url: api + '/xfclSb',
    method: "put",
    data
  })
}
//分页查询巡防车辆设备
export function getXfclsb(data) {
  return request({
    url: api + '/xfclSb/getPageList',
    method: "post",
    data
  })
}
//删除巡防车辆设备
export function delXfclsb(ids) {
  return request({
    url: api + '/xfclSb',
    method: 'delete',
    data:ids
  })
}
